<!DOCTYPE html>
<html>
    <head>
            <meta charset="UTF-8">
            <title>Hello jQuery</title>
            <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
        <!-- <script src="jquery-3.4.1.min.js"></script> -->
    </head>

    <body id='bod'><button type="submit" onclick="javascript:send()">call</button>
    <div id='div'>

            <p id="demo"></p><br><br>
            <p id="decoded"></p><br><br>
            <p id="error"></p>


        <script type="text/javascript" language="javascript">
            // $(document).ready(function () {

            function send()
            {
                var urlvariable;

                urlvariable = "text";

                var ItemJSON;

                ItemJSON = '{"device_id" : "wary", "password" : "231189wary", "platform" : "android", "username" : "nurwary.r@gmail.com"}';

                URL = "https://stag.mncnow.id/api/v/login"

                var xmlhttp = new XMLHttpRequest();
                xmlhttp.onreadystatechange = callbackFunction(xmlhttp);
                xmlhttp.open("POST", URL, false);
                xmlhttp.setRequestHeader("Content-Type", "application/json");
                // xmlhttp.setRequestHeader('Authorization', 'Basic ' + window.btoa('apiusername:apiuserpassword')); //in prod, you should encrypt user name and password and provide encrypted keys here instead 
                xmlhttp.onreadystatechange = callbackFunction(xmlhttp);
                xmlhttp.send(ItemJSON);
                alert(xmlhttp.responseText);
                document.getElementById("div").innerHTML = xmlhttp.statusText + ":" + xmlhttp.status + "<BR><textarea rows='100' cols='100'>" + xmlhttp.responseText + "</textarea>";
            }

            function callbackFunction(xmlhttp) 
            {
                //alert(xmlhttp.responseXML);
            }
        </script>

        <!-- <script>
            // const url="https://api.mncnow.id/api/v/login";
            // fetch(url, {
            //     method: "POST",
            //     // type: "POST",
            //     ContentType : "application/json;charset=UTF-8",
            //     data: JSON.stringify({
            //         device_id : "fajarmnc",
            //         password : "mncnow",
            //         platform : "android",
            //         username : "fajar.irwansyah@mncgroup.com"
            //     }),
            //     mode:'no-cors'
            // }).then(function(response) {
            //     if (response.ok) {
            //         return response.json();
            //     } else {
            //         throw new Error("Could not reach the API: " + response.statusText);
            //     }
            // }).then(function(data) {
            //     console.log(JSNON.stringify(data));
            //     document.getElementById("decoded").innerHTML = data.decoded;
            // }).catch(function(error) {
            //     document.getElementById("error").innerHTML = error.message;
            // });
            $.ajax({
                url : "https://stag.mncnow.id/api/v/login",
                type: "POST",
                mode: "no-cors",
                headers: {
                    // 'Authorization':'Basic ' + btoa("username:api_key"),
                    'Content-Type':'application/json'
                },
                data: {device_id: "fajarmnc", password: "mncnow",platform: "android", username: "fajar.irwansyah@mncgroup.com"},
                success: function(data){
                    //your code to process output value from data
                }
            });
    
    // url="https://api.mncnow.id/api/v/login";
    //             username:'username',//change this
    //             password:'api_key',//change this
    //             type: "POST",
    //             contentType: "application/json",
    //                 data: JSON.stringify({device_id: "fajarmnc", password: "mncnow",platform: "android", username: "fajar.irwansyah@mncgroup.com"}),
    //             success: function (data) {
    //                 console.log(JSON.stringify(data));
    //             },
    //             error: function(){
    //                 alert("Cannot get data");
    //             }
        </script> -->
    </body>
</html>